package com.trade.service.thirdparty.xiaotu.dto;

/**
 * 用户信息注册请求参数
 */
public class RegisterUserRequest {

    // 生产企业角色
    public static final String SCAntdQX = "SCAntdQX";
    // 外贸企业角色
    public static final String WMAntdQX = "WMAntdQX";
    // 其他企业角色
    public static final String QTAntdQX = "QTAntdQX";
    // 其他生产企业角色
    public static final String QTSCAntd = "QTSCAntd";
    // 平台企业角色
    public static final String WMSCAntd = "WMSCAntd";
    // 用户姓名
    private String xm;
    // 登录账号
    private String yddh;
    // 证件号码
    private String sfzjhm;
    // 角色代码
    // SCAntdQX：生产企业角色
    // WMAntdQX：外贸企业角色
    // QTAntdQX：其他企业角色
    // QTSCAntd：其他生产企业角色
    // WMSCAntd：平台企业角色（包括生产、外贸角色）
    private String jsDm;

    public String getXm() {
        return xm;
    }

    public void setXm(String xm) {
        this.xm = xm;
    }

    public String getYddh() {
        return yddh;
    }

    public void setYddh(String yddh) {
        this.yddh = yddh;
    }

    public String getSfzjhm() {
        return sfzjhm;
    }

    public void setSfzjhm(String sfzjhm) {
        this.sfzjhm = sfzjhm;
    }

    public String getJsDm() {
        return jsDm;
    }

    public void setJsDm(String jsDm) {
        this.jsDm = jsDm;
    }
}
